Skip to main content
GET
/
clients
/
{clientId}
/
finance-settings
Get Client Finance Settings
curl --request GET \
  --url https://api.sandbox.flowpayroll.ai/v1/billing/clients/{clientId}/finance-settings \
  --header 'X-Auth-Token: <api-key>'
{
  "content": {
    "data": {
      "defaultRevenueAccount": "<string>",
      "defaultTaxRate": "<string>",
      "payElementMappings": [
        {
          "payElementId": "<string>",
          "accountCode": "<string>",
          "taxType": "<string>"
        }
      ],
      "defaultDueDateDays": 123,
      "defaultCurrencyCode": "<string>",
      "defaultLineAmountTypes": "<string>",
      "invoiceTemplateOverride": {
        "showSubsectionHeader": true,
        "showSubtotalInSubsection": true,
        "showSubtotalVatInSubsection": true,
        "showQuantitySumInSubsection": true,
        "showBottomSubtotals": true,
        "showVatInBottomSubtotals": true,
        "showQuantitySumInBottomSubtotals": true,
        "lineDescriptionFormula": "<string>",
        "lineDescriptionTagGroupId": "<string>",
        "includeAttachmentsWithOnlineInvoice": true
      },
      "creditNoteTemplateOverride": {
        "showSubsectionHeader": true,
        "showSubtotalInSubsection": true,
        "showSubtotalVatInSubsection": true,
        "showQuantitySumInSubsection": true,
        "showBottomSubtotals": true,
        "showVatInBottomSubtotals": true,
        "showQuantitySumInBottomSubtotals": true,
        "lineDescriptionFormula": "<string>",
        "lineDescriptionTagGroupId": "<string>",
        "includeAttachmentsWithOnlineInvoice": true
      },
      "invoiceReferenceFormula": "<string>",
      "invoiceReferenceDateFormat": "<string>"
    },
    "metadata": {
      "dateFormat": "<string>",
      "dateTimeFormat": "<string>"
    }
  },
  "metadata": {
    "dateFormat": "<string>",
    "dateTimeFormat": "<string>"
  },
  "errors": [
    {
      "field": "<string>",
      "reasonText": "<string>",
      "reasonId": "<string>",
      "reasonParameters": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "message": {
    "text": "<string>",
    "textId": "<string>",
    "textParameters": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Auth-Token
string
header
required

Authentication token for API access

Path Parameters

clientId
string
required

Response

OK

content
object
metadata
object
errors
object[] | null
message
object